WhatsApp Templates
Get a WhatsApp template by id with template's category and approval status.
ApiKeyAuthAuthorization<token>templateId*stringuuidThe WhatsApp template
application/json- response
data*curl -X GET 'https://dev.dixa.io/beta/whatsapp/templates/{templateId}' \ -H 'Authorization: <API token>'List WhatsApp templates for the organization, newest first. To find out a template's approval status and category, use the get template endpoint.
ApiKeyAuthAuthorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The list of WhatsApp templates
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/beta/whatsapp/templates' \ -H 'Authorization: <API token>'Create a new WhatsApp template. The template body is limited to 1024 characters.
ApiKeyAuthAuthorization<token>The WhatsApp template to create
application/json- body
name*stringTemplate name; may only contain lowercase letters, digits, and underscores
language*stringSupported language codes: ar, bg, hr, cs, da, nl, en, et, fi, fr, de, el, he, hu, it, ja, ko, lv, lt, nb, pl, ro, ru, sr, sk, sl, es, sv, th, tr, uk, pt_PT, zh_CN, zh_TW, zh_HK
templateType*|Template body and type; use Text for text-only messages, Media for messages with an attachment
category*stringvalues: [UTILITY, MARKETING]
variables?Sample values for the template's placeholders (e.g. {"1": "John"}), submitted to WhatsApp as example content during template approval. Omit for a template whose body has no placeholders.
The created WhatsApp template
application/json- response
data*curl -X POST 'https://dev.dixa.io/beta/whatsapp/templates' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "name": "order_confirmation", "language": "en", "templateType": { "body": "Your order {{1}} has been confirmed.", "_type": "Text" }, "category": "UTILITY", "variables": { "1": "12345" }}'